Validate SSH access
POST /v1/sandbox/{sandboxID}/ssh/validate
POST
/v1/sandbox/{sandboxID}/ssh/validate
Check whether an SSH access credential pair is valid and not expired.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” sandboxID
required
string
Unique sandbox identifier.
Request Body required
Section titled “Request Body required ”object
id
required
SSH access ID to validate.
string
password
required
SSH access password to validate.
string
Responses
Section titled “ Responses ”Validation result.
object
valid
required
Whether the SSH access credentials are valid.
boolean
sandbox_id
required
ID of the sandbox this SSH access is for.
string
Bad request – validation error.
object
message
required
Summary message, e.g. “Invalid request”.
string
errors
required
Array<object>
object
field
required
JSON field name that failed validation (e.g. “path”, “command”).
string
error
required
Human-readable description of the validation failure.
string
Unauthorized – invalid or missing API key.
object
message
required
Human-readable error message.
string
Resource not found.
object
message
required
Human-readable error message.
string